#version 330 core

uniform vec2	offset;				// To offset quad position

layout(location = 0) in vec3 vertex;
layout(location = 1) in vec2 UV;
 
out vec2 texCoord;

void main()
{
	gl_Position =  vec4(vertex.x+offset.x, vertex.y+offset.y, vertex.z, 1);
	texCoord = UV;
}